<?php
	define('REAL_PATH_ISHOP',realpath('.')."/");
	require_once(REAL_PATH_ISHOP.'include/function.php');
	
	if(!IsConnect()){
		echo ReplaceHTMLCode_Database('<div class="dynContent">
    <div class="item" id="confirmBox">
        <div class="itemDesc confirmDesc">
            <div class="thumbnailBgSmall"><img src="gf2.geo.gfsrv.net/cdn15/a1507b23f97e5486451eda39ce16bf.png" height="63px" width="63px"></div>
            <p>
                <span class="confirmTitle">{ERROR_LABEL}</span><br>
                {ERROR_TEXT_LABEL}            </p><br class="clearfloat">
        </div>
    </div>
</div>');
exit;
	}
	if($_GET['type'] == "display_item_infos"){
		echo ReplaceHTMLCode_Database(includeFileContent(REAL_PATH_ISHOP.'include/inc/display_item_infos.php'));
	}elseif($_GET['type'] == "display_account_bonus_infos" && ISHOP_ACCOUNT_BONUS_ENABLE){
		echo ReplaceHTMLCode_Database(includeFileContent(REAL_PATH_ISHOP.'include/inc/display_account_bonus_infos.php'));
	}elseif($_GET['type'] == "list_char"){
		echo ReplaceHTMLCode_Database(GetPlayerSelectList());
	}elseif($_GET['type'] == "buy_item"){
		echo ReplaceHTMLCode_Database(includeFileContent(REAL_PATH_ISHOP.'include/inc/buy_item.php'));
	}elseif($_GET['type'] == "buy_account_bonus" && ISHOP_ACCOUNT_BONUS_ENABLE){
		echo ReplaceHTMLCode_Database(includeFileContent(REAL_PATH_ISHOP.'include/inc/buy_account_bonus.php'));
	}elseif($_GET['type'] == "get_create_item" && is_admin()){
		echo ReplaceHTMLCode_Database(DisplayCreateItemForm($_GET['id']));
	}elseif($_GET['type'] == "get_modify_item" && is_admin()){
		echo ReplaceHTMLCode_Database(DisplayModifyItemForm($_GET['id']));
	}elseif($_GET['type'] == "get_modify_cat" && is_admin()){
		echo ReplaceHTMLCode_Database(DisplayModifyCatForm($_GET['id']));
	}